Andrew's git
/
gitweb.git
/ diff
summary
|
log
|
commit
| diff |
tree
commit
grep
author
committer
pickaxe
?
re
verify-tag: make it operable from a subdirectory.
author
Junio C Hamano
<junkio@cox.net>
Mon, 28 Nov 2005 07:19:58 +0000
(23:19 -0800)
committer
Junio C Hamano
<junkio@cox.net>
Tue, 29 Nov 2005 07:13:03 +0000
(23:13 -0800)
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-verify-tag.sh
patch
|
blob
|
history
raw
|
patch
|
inline
| side by side (parent:
7ea2fc4
)
diff --git
a/git-verify-tag.sh
b/git-verify-tag.sh
index 3c65f4a6b51707601bc8f66657e6e79cc33094fd..d6e0eb87c3df97c978b2de37841fb5fba375a067 100755
(executable)
--- a/
git-verify-tag.sh
+++ b/
git-verify-tag.sh
@@
-1,5
+1,6
@@
#!/bin/sh
#!/bin/sh
-. git-sh-setup
+
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
type="$(git-cat-file -t "$1" 2>/dev/null)" ||
die "$1: no such object."
type="$(git-cat-file -t "$1" 2>/dev/null)" ||
die "$1: no such object."
@@
-7,6
+8,9
@@
type="$(git-cat-file -t "$1" 2>/dev/null)" ||
test "$type" = tag ||
die "$1: cannot verify a non-tag object of type $type."
test "$type" = tag ||
die "$1: cannot verify a non-tag object of type $type."
-git-cat-file tag "$1" > .tmp-vtag || exit 1
-cat .tmp-vtag | sed '/-----BEGIN PGP/Q' | gpg --verify .tmp-vtag - || exit 1
-rm -f .tmp-vtag
+git-cat-file tag "$1" >"$GIT_DIR/.tmp-vtag" || exit 1
+cat "$GIT_DIR/.tmp-vtag" |
+sed '/-----BEGIN PGP/Q' |
+gpg --verify "$GIT_DIR/.tmp-vtag" - || exit 1
+rm -f "$GIT_DIR/.tmp-vtag"
+